| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Macros | Variables
DC1978.ino File Reference

Linear Technology DC1978A Demonstration System (2-Board Set) DC1809 - LTC2974 Board (manager) DC1810 - LTM4620 Board (4 rails) More...

## Detailed Description

Linear Technology DC1978A Demonstration System (2-Board Set) DC1809 - LTC2974 Board (manager) DC1810 - LTM4620 Board (4 rails)

    NOTES
      Setup:
       Set the terminal baud rate to 115200 and select the newline terminator.

http://www.linear.com/product/LTC2974

http://www.linear.com/demo/DC1978

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file DC1978.ino.

Go to the source code of this file.

## Functions
static void | setup ()
| Initialize Linduino. More...
static void | loop ()
| Repeats Linduino loop. More...
static void | print_title ()
| Prints the title block when program first starts. More...
static void | print_prompt ()
| Prints main menu. More...
static void | print_warning_prompt ()
| Prints a warning if the demo board is not detected. More...
static void | print_all_voltages ()
| Prints all voltages. More...
static void | print_all_currents ()
| Prints all currents. More...
static void | print_all_status ()
| Prints all status bytes and words. More...
static void | sequence_off_on ()
static void | margin_high ()
| Margin high. More...
static void | margin_low ()
| Margin low. More...
static void | margin_off ()
| Go to nominal. More...
static void | increment_page ()
static void | menu_1_basic_commands ()
| Display menu 1. More...
static void | menu_2_vid_commands ()
| Display menu 2. More...
static void | menu_3_vid_commands ()
| Display menu 3. More...

## Macros
#define | LTC2974_I2C_ADDRESS 0x5C

## Variables
static uint8_t | ltc2974_i2c_address
static LT_PMBusMath * | math = new LT_PMBusMath()
static LT_SMBus * | smbus = new LT_SMBusPec()
static LT_PMBus * | pmbus = new LT_PMBus(smbus)

## Function Documentation

## ◆ increment_page()

static void increment_page | ( |  | ) |
| static

Definition at line 270 of file DC1978.ino.

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Repeats Linduino loop.

Returns
  void

Definition at line 87 of file DC1978.ino.

## ◆ margin_high()

static void margin_high | ( |  | ) |
| static

Margin high.

Returns
  void

Definition at line 251 of file DC1978.ino.

## ◆ margin_low()

static void margin_low | ( |  | ) |
| static

Margin low.

Returns
  void

Definition at line 258 of file DC1978.ino.

## ◆ margin_off()

static void margin_off | ( |  | ) |
| static

Go to nominal.

Returns
  void

Definition at line 265 of file DC1978.ino.

## ◆ menu_1_basic_commands()

static void menu_1_basic_commands | ( |  | ) |
| static

Display menu 1.

Returns
  void

Definition at line 284 of file DC1978.ino.

## ◆ menu_2_vid_commands()

static void menu_2_vid_commands | ( |  | ) |
| static

Display menu 2.

Returns
  void

Definition at line 347 of file DC1978.ino.

## ◆ menu_3_vid_commands()

static void menu_3_vid_commands | ( |  | ) |
| static

Display menu 3.

Definition at line 405 of file DC1978.ino.

## ◆ print_all_currents()

static void print_all_currents | ( |  | ) |
| static

Prints all currents.

Returns
  void

Definition at line 204 of file DC1978.ino.

## ◆ print_all_status()

static void print_all_status | ( |  | ) |
| static

Prints all status bytes and words.

Returns
  void

Definition at line 220 of file DC1978.ino.

## ◆ print_all_voltages()

static void print_all_voltages | ( |  | ) |
| static

Prints all voltages.

Returns
  void

Definition at line 188 of file DC1978.ino.

## ◆ print_prompt()

static void print_prompt | ( |  | ) |
| static

Prints main menu.

Returns
  void

Definition at line 167 of file DC1978.ino.

## ◆ print_title()

static void print_title | ( | void |  | ) |
| static

Prints the title block when program first starts.

Returns
  void

Definition at line 152 of file DC1978.ino.

## ◆ print_warning_prompt()

static void print_warning_prompt | ( |  | ) |
| static

Prints a warning if the demo board is not detected.

Returns
  void

Definition at line 181 of file DC1978.ino.

## ◆ sequence_off_on()

static void sequence_off_on | ( |  | ) |
| static

Returns
  void

Definition at line 242 of file DC1978.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Initialize Linduino.

Returns
  void

Definition at line 77 of file DC1978.ino.

## Macro Definition Documentation

## ◆ LTC2974_I2C_ADDRESS

#define LTC2974_I2C_ADDRESS 0x5C

Definition at line 67 of file DC1978.ino.

## Variable Documentation

## ◆ ltc2974_i2c_address

uint8_t ltc2974_i2c_address
| static

Definition at line 70 of file DC1978.ino.

## ◆ math

LT_PMBusMath* math = new LT_PMBusMath()
| static

Definition at line 71 of file DC1978.ino.

## ◆ pmbus

LT_PMBus* pmbus = new LT_PMBus(smbus)
| static

Definition at line 73 of file DC1978.ino.

## ◆ smbus

LT_SMBus* smbus = new LT_SMBusPec()
| static

Definition at line 72 of file DC1978.ino.